Bug 1143144 - Leap should save journalctl log since the begin - not only the current boot
Leap should save journalctl log since the begin - not only the current boot
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other openSUSE 42.3
: P5 - None : Normal (vote)
: ---
Assigned To: Ludwig Nussel
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-28 18:20 UTC by prueba hola
Modified: 2021-11-03 20:46 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description prueba hola 2019-07-28 18:20:34 UTC
Because like how it work now by default, is not useful if you get a freeze or something


using this, you can fix this https://doc.opensuse.org/documentation/leap/reference/html/book.opensuse.reference/cha.journalctl.html#sec.journalctl.persistent


but this should be fixed by default
Comment 2 Franck Bui 2019-07-29 07:29:47 UTC
Ludwig, something that should be considered IMHO.

Please have a look.
Comment 3 Stephan Kulow 2019-07-29 11:38:57 UTC
The log is forwarded to rsyslog - and ends in /var/log/messages, duplicating this in the journal is just waste.

If you want persistant journal, install systemd-logger (which is the default on Tumbleweed btw, but Leap follows SLE's default of using rsyslog)
Comment 4 Stephan Kulow 2019-07-29 11:39:20 UTC
The documentation doesn't mention that option as SLE doesn't even ship systemd-logger
Comment 5 Franck Bui 2019-07-29 11:48:46 UTC
@Stephan, the point is to have the default changed and to rely on persistent journal only by default.

The need for rsyslog seems to exist only for a few server specific cases it seems and its need for a desktop distro, such as Leap, is very unlikely.

Even for SLE, the default is questionable IMHO.
Comment 6 Stephan Kulow 2019-07-29 12:42:33 UTC
I don't think Leap is a desktop distro. I for one use Tumbleweed on desktop, Leap on servers.
Comment 7 prueba hola 2019-07-29 22:17:38 UTC
Leap is a distro for desktop users too
Tumbleweed = rolling release
Leap = stable

Leap is like ubuntu LTS

https://i.imgur.com/JnMC0QG.png

so yes, leap is for desktop/workstation/servers
Comment 8 Ludwig Nussel 2019-08-14 13:50:58 UTC
I've forwarded the request to SLE PM (reference PM-1300). For TW I filed a sr for patterns-base.
Comment 9 Swamp Workflow Management 2019-08-14 14:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1143144) was mentioned in
https://build.opensuse.org/request/show/723306 Factory / patterns-base